<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package refresh
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
    <?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php echo esc_attr__( 'Skip to content', 'refresh' ); ?></a>

	<header id="masthead" class="site-header">
		<nav id="site-navigation" class="main-navigation navbar navbar-expand-lg navbar-light fixed-top ">		
		<div class="site-branding">
			<?php
			the_custom_logo();
			if ( is_front_page() && is_home() ) :
				?>
				<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
				<?php
			else :
				?>
				<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
				<?php
			endif;
			?>
		</div><!-- .site-branding -->
		
		
		
		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#refreshprimary" aria-controls="refreshprimary" aria-expanded="false" aria-label="<?php echo esc_attr__( 'Toggle navigation', 'refresh' ); ?>">
          <span class="navbar-toggler-icon"></span>
        </button>
		
      		
			<!--<button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><i class="fas fa-bars"></i></button>-->
			<?php
			wp_nav_menu( array(
				'theme_location' => 'refresh-navigation',
				'menu_id'        => 'primary-menu',
				   'menu'            => '',
        'container'       => 'div',
        'container_class' => 'collapse navbar-collapse justify-content-md-center',
        'container_id'    => 'refreshprimary',
        'menu_class'      => 'menuTest',
        'echo'            => true,
        'fallback_cb'     => 'wp_page_menu',
        //'before'          => 'BeforeTest',
       // 'after'           => 'AfterTEst',
       // 'link_before'     => 'LinkBefore',
        //'link_after'      => 'LinkAfter',
        'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
        'item_spacing'    => 'preserve',
        'depth'           => 0,
      //  'walker'          => '',
        
				
				
			) );
			?>
		  <div class="my-2 my-md-0">
		  <?php get_search_form(); ?>
      </div>
		</nav><!-- #site-navigation -->
		
    <div id="site-header">   
<?php $refresh_description = get_bloginfo( 'description', 'display' );
			if ( $refresh_description || is_customize_preview() ) :
				?>
				<p class="site-description text-center"><?php echo $refresh_description; ?></p>
			<?php endif; ?>    
    </div>
	</header><!-- #masthead -->
	
	<div id="content" class="site-content">
	<div class="container">
	<?php dynamic_sidebar('reftopwid');?>
	<div class="row">