<?php
/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package refresh
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function refresh_body_classes( $classes ) {
	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$classes[] = 'hfeed';
	}

	// Adds a class of no-sidebar when there is no sidebar present.
	if ( ! is_active_sidebar( 'sidebar-1' ) ) {
		$classes[] = 'no-sidebar';
	}

	return $classes;
}
add_filter( 'body_class', 'refresh_body_classes' );

/**
 * Add a pingback url auto-discovery header for single posts, pages, or attachments.
 */
function refresh_pingback_header() {
	if ( is_singular() && pings_open() ) {
		printf( '<link rel="pingback" href="%s">', esc_url( get_bloginfo( 'pingback_url' ) ) );
	}
}
add_action( 'wp_head', 'refresh_pingback_header' );



/* ----------------------------------------------------------------------------------- */
/* Ticker
/*----------------------------------------------------------------------------------- */

function refresh_newticker() {
	$tickercat = get_theme_mod('ticker_category');
	$tickerposts = get_theme_mod('refresh_tickernum','5');
	$tickername = get_theme_mod('refresh_tickername','Latest News');
?>
	
<div class="tickertitle"><div class="bn-title"><p><?php echo esc_html($tickername) ?></p><span></span></div>
<ul id="ticker">
	<?php
	$promax_ticker_args = array( 
	 'ignore_sticky_posts' => true,
	 'showposts' => $tickerposts,
	 'cat' => $tickercat, 
	'orderby' => 'date',  );
	$the_query = new WP_Query( $promax_ticker_args );
	 if ( $the_query->have_posts() ) :
	while ( $the_query->have_posts() ) : $the_query->the_post();
 ?>				
	<li class="news-item">
	<a title="<?php the_title(); ?>" href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a><br />
	</li>			
	<?php 
	endwhile;
	endif; 
	wp_reset_postdata();
	?>
	</ul></div>		
	
<?php } 